*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
  }

@font-face {
    font-family: 'Gilroy';
    src: url(https://www.thesmarthomesolver.com/font/gilroy/Gilroy-Regular.ttf);
  }

@font-face {
    font-family: 'Poppins';
    src: url(https://www.thesmarthomesolver.com/font/Poppins/Poppins-Regular.ttf);
  }

header {
    width: 100%;
    float: left;
    padding: 0;
    margin: 0;
}

.main_head{
    padding: 0 85px;
    margin: 20px 0;
}

.logo{
    width: 100%;
    float: left;
    padding: 0;
    margin: 0;
}


.logo img{
    width: 521px;
    height: auto;
}

.ip_add{
    text-align: center;
}

.ip_add a{
    font-family: 'Gilroy';
    font-style: normal;
    font-weight: 700;
    font-size: 78px;
    line-height: 95px;
    margin: 0;
    text-align: center;
    color: #000;
}

.ip_add a:hover{
    text-decoration: none;
}

.head_buttons{
    text-align: right;
}

.head_buttons .head_btn{
    background-color: #01ADF5 !important;
    border-radius: 14px !important;
    color: #fff !important;
    border: none !important;
    padding: 13px 26px !important;
    font-size: 30px !important;
    font-family: 'Poppins' !important;
}

.head_buttons .head_btn:first-child{
    margin-right: 17px;
}

.services{
    width: 100%;
    float: left;
    padding: 50px 0;
    margin: 0;
    background-color: #000;
}

.service_main{
    padding: 0 85px
}

.service_box{
    width: 100%;
    float: left;
    padding: 0;
    margin: 0;
    text-align: center;
}

.services .col{
    align-items: center;
    display:flex;
}

.service_main .col:first-child .service_box{
    text-align: left;
}

.service_main .col:last-child .service_box{
    text-align: right;
}

.smart_div{
    width: 100%;
    float: left;
    padding: 0 ;
    margin: 40px 0 0;
}

.smart_div .smart_data{
    width: 100%;
    float: left;
    padding: 0 ;
    margin: 0;
    display: flex;
    align-items: center;;
}
.smart_margin{
    margin: 0 180px;
}

.smart_margin .row{
    margin: 0 0 25px;
}

.smart_margin .row:last-child{
    margin: 0;
}

.smart_box{
    width: 100%;
    float: left;
    padding: 20px ;
    margin: 0;
    background-color: #E7EDF7;
    border-radius: 20px;
}

.box_img img{
    width: 100%;
}

.box_img p{
    font-family: 'Poppins';
    font-weight: 800;
    font-size: 36px;
    line-height: 55px;
    margin: 0;
}

.vector_img img{
    width: 100%;;
}


.smart_text p{
    font-family: 'Poppins';
    font-weight: 400;
    font-size: 33px;
    line-height: 45px;
    color: #000000;
    margin: 0;
}

.smart_home{
    width: 100%;
    float: left;
    padding: 0 0 65px;
    margin: 20px 0 0;
    background-color: #F1F1F1;
}

.home_head{
    font-family: 'Poppins';
    font-weight: 700;
    font-size: 75px;
    line-height: 112px;
    padding: 80px 0;
    text-align: center;
    color: #000000;
    margin: 0;
}

.home_box{
    width: 100%;
    float: left;
    padding: 0 18px 0 0 !important;
    margin: 0;
}

.home_box img{
    width: 100%;
}

.home_box p{
    font-family: 'Poppins';
    font-weight: 700;
    font-size: 36px;
    text-align: center;
    margin: 10px 0 5px;
}
.home_box span:first-child{
    padding: 0 17px;
}

.home_box span{
    font-weight: 400;
    font-size: 20px;
    text-align: center;
    display: block;
    line-height: 30px;
    /* text-transform: lowercase; */
    padding: 0 !important;
   
}

.home_box span::first-letter{
    text-transform: uppercase;
}


.contact_me{
    width: 100%;
    float: left;
    padding: 144px 0 140px;
    margin: 0;
}

.contact_data{
    display: flex;
    align-items: center;;
}

.contact_head{
    font-weight: 700;
    font-size: 75px;
    line-height: 112px;
    font-family: 'Poppins';
    text-align: center;
}

.contact_map{
    max-width: 768px;
    height: 600px;
    margin: 0 auto;
}

.contact_box{
    margin-left: 100px;
}

.contact_box p{
    font-weight: 700;
    font-size: 36px;
    line-height: 54px;
    margin-bottom: 40px;
    font-family: 'Poppins';
}

.map_data{
    margin-top: 80px;
}

.contact_box a{
    display: block;
    font-weight: 400;
    font-size: 30px;
    line-height: 45px;
    font-family: 'Poppins';
    color: #000;
}

.contact_box a:hover{
    text-decoration: none;
}

.contact_box p span i{
    font-size: 27px;
    margin-right: 10px;
}

.main_footer{
    width: 100%;
    float: left;
    padding: 40px 0;
    margin: 0;
    background-color: #000;
}

.main_footer p{
    font-weight: 400;
    font-size: 20px;
    line-height: 30px;
    font-family: 'Poppins';
    color: #fff;
    text-align: center;
    margin: 0;
}

#more {
    display: none;
}

button.read{
    display: inline-block;
    border: none;
    color: #0095DD;
}
button.read:focus{
    outline: none;
    border: none;;
}

span#dots {
    display: inline-block;
}

.about_us{
    width: 100%;
    float: left;
    margin: 80px 0 0;
    padding: 0;
    box-shadow: 0px 9px 10px -1px rgb(0 0 0 / 25%);
}

.about_video{
    width: 100%;
    float: left;
    padding: 80px 0;
    margin: 0;
    
}

.iframe-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    padding-top: 722px;
    margin: 80px auto;
  }

.about-iframe {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    border: none;
  }


/* responsive */

@media only screen and (min-width: 1800px) {
    .smart_text p {
        font-size: 30px !important;
        line-height: 50px !important;
    }
}

@media only screen and (min-width: 1441px){
    

    .container,
    .container-fluid{
        max-width: 1920px !important;
    }

    .logo img {
        width: 400px;
        height: auto;
    }

    .head_buttons .head_btn{
        padding: 13px !important;
        font-size: 26px !important;
    }
    .ip_add a{
        font-size: 65px;
    }

    .main_head{
        padding:0 50px !important;
    }

    .service_main {
        padding: 0 50px;
    }

    .service_box img{
        width: 100%;
    }

    .service_box{
        width: auto !important;
        margin: 0 auto !important;
    }

    .box_img p{
        font-size: 26px;
        line-height: 40px;
        text-align: center;
    }

    .smart_text p{
        font-size: 24px;
        line-height: 33px;
    }

    .home_head{
        font-size: 65px;
        line-height: 90px;
    }

    .home_box p{
        font-size: 27px;
    }

    .home_box span{
        font-size: 20px;
        line-height: 30px;
        padding: 0;
    }

    .contact_me{
        padding: 120px 0;
    }

    .contact_head{
        line-height: 90px;
    }

    .smart_margin{ 
        margin: 0 135px;
    }

    .contact_box{
        margin-left: 80px;
    }

    .contact_box p{
        margin-bottom: 20px;
        line-height: 35px;
    }

    .contact_box a{
        font-size: 26px;
    }

    .contact_box i{
        font-size: 23px;
        
    }

    .iframe-container{
        max-width: 1295px;
    }

    .about-iframe{
        height: 729px;
    }
}

@media only screen and (max-width: 1440px) {

    .main_head{
        padding: 0;
    }

    .service_main{
        padding: 0;
    }

    .logo img {
        width: 300px;
    }

    .ip_add a {
        font-size: 50px;
    }

    .head_buttons .head_btn:first-child {
        margin-right: 10px;
    }

    .head_buttons .head_btn {
        padding: 6px 12px !important;
        font-size: 20px !important;
    }

    .service_box img {
        width: 85%;
    }

    .box_img p {
        font-size: 22px;
        line-height: 35px;
        text-align: center;
    }

    .smart_text p {
        font-size: 22px;
        line-height: 29px;
    }

    .home_head {
        font-size: 50px !important;
        line-height: 60px !important;
        padding: 40px 0 !important;
        font-family: 'Poppins' !important;
    }

    .smart_margin {
        margin: 0 100px;
    }

    .contact_me {
        padding: 80px 0;
    }

    .contact_head{
        font-size: 55px;
        line-height: 60px;
    }

    .smart_margin{
        margin: 0;
    }

    .home_box p{
        font-size: 27px;
    }

    .home_box span{
        font-size: 14px;
        line-height: 22px;
        padding: 0 13px;
        font-family: 'Poppins';
    }

    .contact_box{
        margin-left: 80px;
    }

    .contact_box p{
        margin-bottom: 20px;
        line-height: 35px;
        font-size: 26px;
        line-height: 25px;
    }

    .contact_box a{
        font-size: 20px;
    }

    .contact_box i{
        font-size: 20px;
        margin-right: 5px;
        
    }

    button.read {
        display: block;
        width: 100%;
        border: none;
        color: #0095DD;
    }

    .about_us embed{
        height: 624px;
        width: 90%;
    }
}

@media only screen and (max-width: 1200px) {
    .head_buttons .head_btn {
        padding: 6px 10px !important;
        font-size: 17px !important;
    }

    .home_box p {
        font-size: 21px;
    }

    .home_box span {
        font-size: 14px;
        line-height: 19px;
    }
    .smart_text p {
        font-size: 19px;
        line-height: 24px;
    }

    .box_img p {
        font-size: 17px;
        line-height: 35px;
    }

    /* .about_us embed {
        max-width: 889px;
        width: 100%;
        height: 500px;
    } */
}

@media only screen and (max-width: 992px) {
    .head_buttons .head_btn {
        padding: 6px 8px !important;
        font-size: 12px !important;
    }   

    .ip_add a {
        font-size: 40px;
    }

    .logo img {
        width: 100%;
    }

    .services{
        padding: 30px 0;
    }

    .smart_text p {
        font-size: 17px;
        line-height: 21px;
    }

    .box_img p{
        font-size: 16px;
        line-height: 28px;
    }

    .smart_box{
        padding: 10px 15px;
    }

    .home_box p {
        font-size: 20px;
    }

    .home_box span {
        font-size: 13px;
        line-height: 16px;
        padding: 0 0px;
    }

    .contact_me {
        padding: 40px 0;
    }

    .contact_head {
        font-size: 45px;
        line-height: 45px;
    }

    .map_data {
        margin-top: 50px;
    }

    .contact_map{
        height: auto;
    }

    .head_buttons .head_btn:first-child {
        margin-right: 5px;
    }

    .iframe-container{
        padding-top: 38.25%;
    }
}

@media only screen and (min-width: 768px) and (max-width: 915px) {
    .box_img p {
        font-size: 11px;
        line-height: 20px;
    }

    .home_box p {
        font-size: 17px;
    }

    .home_box span {
        font-size: 9px;
        line-height: 12px;
        padding: 0 0px;
    }

    .contact_map iframe{
        height: 400px;
    }

    .home_head {
        font-size: 40px !important;
    }

    .smart_text p {
        font-size: 11px;
        line-height: 16px;
    }

    .contact_box {
        margin-left: 35px;
    }

    .contact_box p{
        font-size: 20px;
    }

    .contact_box a,
    .contact_box i {
        font-size: 16px;
        line-height: 25px;
    }

    .main_footer p{
        font-size: 16px;
        line-height: 16px;
    }

    /* .about_us embed{
        width: 690px;
        height: 388px;
    } */
}

@media only screen and (max-width: 767px) {
    .logo{
        text-align: center;;
    }

    .logo img{
        max-width: 300px;
    }

    .head_buttons .head_btn {
        padding: 6px 12px !important;
        font-size: 20px !important;
    }

    .head_buttons {
        text-align: center;
    }

    .services .col{
        flex-basis: auto;
    }
    .service_main .col:first-child .service_box,
    .service_main .col:last-child .service_box{
        text-align: center;
    }

    .service_box img {
        width: auto;
    }

    .service_box{
        margin: 0 0 20px;
    }

    .service_main .col:last-child .service_box{
        margin: 0;
    }

    .box_img{
        width: 33% !important;
    }

    .smart_text{
        width: 66% !important;
    }

    .smart_text p {
        font-size: 25px;
        line-height: 35px;
    }

    .box_img p {
        font-size: 24px;
        line-height: 35px;
    }

    .smart_box {
        padding: 15px;
    }

    .vector_img{
        margin-top: 30px;
    }

    .home_head{
        font-size: 43px !important;
    }

    .home_box p{
        font-size: 36px;
    }

    .home_box span{
        font-size: 20px;
        line-height: 24px;
    }

    .home_box{
        margin-bottom: 15px;
        padding: 0 !important;
    }

    .smart_margin .row{
        margin: 0;
    }

    .contact_data {
        margin-top: 25px;
    }
    .contact_box{
        margin: 0;
    }

    .contact_map iframe{
        height: 400px;
    }

    .services .col:first-child,
    .services .col:nth-child(2) {
        max-width: 50% !important;
    }

    .services .col {
        flex-basis: auto;
        max-width: 33.33%;
    }

    .service_main {
        padding: 0;
        justify-content: center;
    }

    .service_box{
        margin: 0;
        padding: 15px 0;
    }

    .service_box img {
        width: 100%;
    }

    .about_us{
        margin: 50px 0 0;
    }

    .about_video {
        padding: 30px 0 40px;
    }

    .iframe-container{
        margin: 50px auto;
    }

    
}

@media only screen and (max-width: 655px) {
    .smart_text p{
        font-size: 25px;
        line-height: 34px;
    }
}

@media only screen and (max-width: 576px) {
    .box_img,
    .smart_text{
        width: 100% !important;
        text-align: center;
    }

    .box_img img {
        width: auto;
    }

    .map_data {
        margin-top: 30px;
    }

    .smart_home{
        padding: 0 0 10px;
    }

    .home_head{
        font-size: 35px!important;
    }

    .services{
        padding: 15px 0;
    }

    .service_box {
        margin: 0;
        padding: 10px 0;
    }

   
}

@media only screen and (max-width: 475px) {
    .home_head{
        font-size: 26px!important;
        padding: 15px 0 !important;
        line-height: 30px;
    }

    .home_box p {
        font-size: 23px;
    }

    .contact_head {
        font-size: 30px;
        line-height: 30px;
    }

    .contact_box p {
        font-size: 21px;
        line-height: 25px;
    }

    .main_footer{
        padding: 20px 10px;
    }

    .main_footer p{
        font-size: 16px;
    }

    .smart_text p {
        font-size: 20px;
        line-height: 26px;
    }

    .home_box span {
        font-size: 16px;
        line-height: 20px;
    }

    .about_us{
        margin: 30px 0 0;
    }

    .iframe-container {
        margin: 30px 0;
    }
}